> This page is for Developer.

> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.bigcommerce.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.bigcommerce.com/_mcp/server.

# Get Channel Details by Channel ID

GET https://api-b2b.bigcommerce.com/api/v3/io/channels/{channel_id}

Returns data for the specific channel associated with `channel_id`. Analogous to [Get A Channel](/developer/api-reference/rest/admin/management/channels/get-channel) in the BigCommerce API.

Reference: https://docs.bigcommerce.com/developer/api-reference/rest/b2b/management/channels/get-channels-channel-id

## Authentication

- `X-Auth-Token` header (required) — | Header | Argument | Description | |:-------|:---------|:------------| | `X-Auth-Token` | `access_token` | For more about API accounts that generate `access_token`s, see our [Guide to API Accounts](/developer/docs/overview/api-fundamentals/api-accounts). | For example requests and more information about authenticating BigCommerce APIs, see [Authentication and Example Requests](/developer/docs/overview/api-fundamentals/api-accounts#x-auth-token-header-example-requests). For more about BigCommerce OAuth scopes, see our [Guide to API Accounts](/developer/docs/overview/api-fundamentals/api-accounts#oauth-scopes). For a list of API status codes, see [API Status Codes](/developer/api-reference/rest/overview#rest-http-status-codes).
- `X-Store-Hash` header (required) — | Header | Argument | Description | |:-------|:---------|:------------| | `X-Store-Hash` | `store_hash` | The unique store hash associated with a BigCommerce store that has B2B Edition enabled. |

## Request

### Path parameters

- `channel_id` (integer, required) — The unique BigCommerce channel ID.

## Response

### 200

SUCCESS

- `code` (integer, optional, default: 200)
- `data` (Channel, optional) — A BigCommerce store channel object
- `meta` (ChannelsChannelIdGetResponsesContentApplicationJsonSchemaMeta, optional)

## Errors

### 404 Not Found Error

Channel Not Found

- `code` (integer, optional) — HTTP status code.
- `data` (ChannelsChannelIdGetResponsesContentApplicationJsonSchemaData, optional)
- `meta` (ChannelsChannelIdGetResponsesContentApplicationJsonSchemaMeta, optional)

### 422 Unprocessable Entity Error

Missing or Invalid Data This error occurs when multi-storefront is not enabled for the store.

- `code` (integer, optional) — HTTP status code.
- `data` (ChannelsChannelIdGetResponsesContentApplicationJsonSchemaData, optional)
- `meta` (ChannelsChannelIdGetResponsesContentApplicationJsonSchemaMeta, optional)

## Types

### Channel

A BigCommerce store channel object

- `id` (integer, optional) — The unique numeric ID assigned to the storefront channel by B2B Edition. Does **not** match `channelId`.
- `channelId` (integer, optional) — The unique numeric ID assigned to the storefront channel by BigCommerce. Does **not** match `id`.
- `channelName` (string, optional) — The display name for the channel as shown in the Channels menu in the BigCommerce control panel.
- `type` (enum, optional) — The type of channel. Currently, only `storefront` channel type is supported within B2B Edition.
  - Allowed values: `storefront`, `marketplace`, `pos`, `custom`
- `platform` (enum, optional) — The platform provider for the channel. Currently, only `bigcommerce` channel platform is supported within B2B Edition.
  - Allowed values: `bigcommerce`, `amazon`, `ebay`, `custom`
- `status` (enum, optional) — The status of the channel, indicating whether it is prelaunch (`prelaunch`), live (`active`), down for maintenance (`inactive`), archived (`archived`), or marked for deletion (`deleted`). Once a channel is deleted, it will no longer be available to the API.
  - Allowed values: `active`, `inactive`, `archived`
- `site` (string, optional) — The domain associated with the channel, as reported within BigCommerce.
- `isVisible` (boolean, optional) — Indicates whether the channel is visible in the BigCommerce control panel.
- `isEnabled` (boolean, optional) — Indicates whether the channel is enabled.
- `iconUrl` (string, optional) — The URL for the channel's icon seen in B2B Edition's Storefronts settings. Note that this does not correspond to the storefront channel's logo or favicon.
- `b2bEnabled` (boolean, optional) — Indicates whether B2B features are enabled for this channel.
- `allowGlobalLogins` (boolean, optional) — Determines if customers created on this channel will get global access/login.
- `storeLogo` (map from string to any, optional) — The store logo configuration for the channel, as a JSON object.
- `homeRoute` (string, optional, nullable) — The storefront route for the channel's home page.
- `loginRoute` (string, optional, nullable) — The storefront route for the channel's login page.
- `forgotPasswordRoute` (string, optional, nullable) — The storefront route for the channel's forgot-password page.
- `createdAt` (integer, optional) — The [Unix Timestap](https://www.unixtimestamp.com/) creation date for the channel.
- `updatedAt` (integer, optional) — The [Unix Timestap](https://www.unixtimestamp.com/) last update date for the channel.

### ChannelsChannelIdGetResponsesContentApplicationJsonSchemaMeta

- `message` (string, optional) — Error message.

### ChannelsChannelIdGetResponsesContentApplicationJsonSchemaData

- `errMsg` (string, optional) — Error message.

## Examples

**Response**

```json
{
  "code": 200,
  "data": {
    "id": 42,
    "channelId": 1,
    "channelName": "Main Storefront",
    "type": "storefront",
    "platform": "bigcommerce",
    "status": "active",
    "site": "https://store.example.com",
    "isVisible": true,
    "isEnabled": true,
    "iconUrl": "https://cdn.bigcommerce.com/icons/storefront.png",
    "b2bEnabled": true,
    "allowGlobalLogins": false,
    "storeLogo": {
      "url": "https://cdn.example.com/logos/default.png"
    },
    "homeRoute": "/",
    "loginRoute": "/login.php",
    "forgotPasswordRoute": "/login.php?action=reset_password",
    "createdAt": 1714564800,
    "updatedAt": 1718033400
  },
  "meta": {
    "message": "SUCCESS"
  }
}
```

**SDK Code**

```python Channels_get-channels-channelId_example
import requests

url = "https://api-b2b.bigcommerce.com/api/v3/io/channels/1"

headers = {"X-Auth-Token": "<apiKey>"}

response = requests.get(url, headers=headers)

print(response.json())
```

```javascript Channels_get-channels-channelId_example
const url = 'https://api-b2b.bigcommerce.com/api/v3/io/channels/1';
const options = {method: 'GET', headers: {'X-Auth-Token': '<apiKey>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go Channels_get-channels-channelId_example
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://api-b2b.bigcommerce.com/api/v3/io/channels/1"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("X-Auth-Token", "<apiKey>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby Channels_get-channels-channelId_example
require 'uri'
require 'net/http'

url = URI("https://api-b2b.bigcommerce.com/api/v3/io/channels/1")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["X-Auth-Token"] = '<apiKey>'

response = http.request(request)
puts response.read_body
```

```java Channels_get-channels-channelId_example
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://api-b2b.bigcommerce.com/api/v3/io/channels/1")
  .header("X-Auth-Token", "<apiKey>")
  .asString();
```

```php Channels_get-channels-channelId_example
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://api-b2b.bigcommerce.com/api/v3/io/channels/1', [
  'headers' => [
    'X-Auth-Token' => '<apiKey>',
  ],
]);

echo $response->getBody();
```

```csharp Channels_get-channels-channelId_example
using RestSharp;

var client = new RestClient("https://api-b2b.bigcommerce.com/api/v3/io/channels/1");
var request = new RestRequest(Method.GET);
request.AddHeader("X-Auth-Token", "<apiKey>");
IRestResponse response = client.Execute(request);
```

```swift Channels_get-channels-channelId_example
import Foundation

let headers = ["X-Auth-Token": "<apiKey>"]

let request = NSMutableURLRequest(url: NSURL(string: "https://api-b2b.bigcommerce.com/api/v3/io/channels/1")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```